Loading...
Searching...
No Matches
Magick::compositeImage Class Reference

## Public Member Functions

| compositeImage (const Image &compositeImage_, ::ssize_t xOffset_, ::ssize_t yOffset_, CompositeOperator compose_=InCompositeOp)
| compositeImage (const Image &compositeImage_, const Geometry &offset_, CompositeOperator compose_=InCompositeOp)
void | operator() (Image &image_) const

## Private Attributes

Image | _compositeImage
::ssize_t | _xOffset
::ssize_t | _yOffset
CompositeOperator | _compose

## Detailed Description

Definition at line 278 of file STL.h.

## Member Function Documentation

## operator()()

void Magick::compositeImage::operator() | ( | Image & | image_ | ) | const

Definition at line 257 of file STL.cpp.

{
image_.composite( _compositeImage, _xOffset, _yOffset, _compose );
}

## Field Documentation

## _compose

CompositeOperator Magick::compositeImage::_compose

private

Definition at line 296 of file STL.h.

## _compositeImage

Image Magick::compositeImage::_compositeImage

private

Definition at line 293 of file STL.h.

## _xOffset

::ssize_t Magick::compositeImage::_xOffset

private

Definition at line 294 of file STL.h.

## _yOffset

::ssize_t Magick::compositeImage::_yOffset

private

Definition at line 295 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp